// =======================================================================================
// ZoneMod Retro - Competitive L4D2 Configuration
// Author: Sir
// Contributions: Visor, Jahze, ProdigySim, Vintik, CanadaRox, Blade, Tabun, Jacob, Forgetest, A1m
// License CC-BY-SA 3.0 (http://creativecommons.org/licenses/by-sa/3.0/legalcode)
// Version 2.8
// http://github.com/SirPlease/L4D2-Comp-Rework
// =======================================================================================

// ======= //
// Plugins //
// ======= //

// [l4d2_ghost_warp.smx]
confogl_addcvar l4d2_ghost_warp_flag 1 // Enable ghost warp with command only 'sm_warp'
confogl_addcvar l4d2_ghost_warp_delay 0.45

// [l4d_static_punch_getup.smx]
confogl_addcvar tank_punch_getup_scale 0.5  // 54 frames / 30 fps * 0.5 = 0.9s

// [l4d2_rock_trace_unblock.smx]
confogl_addcvar l4d2_rock_trace_unblock_flag 1
confogl_addcvar l4d2_rock_jockey_dismount 0

// [l4d2_ladder_rambos.smx]
confogl_addcvar cssladders_enabled 1
confogl_addcvar cssladders_allow_m2 0
confogl_addcvar cssladders_allow_reload 1
confogl_addcvar cssladders_allow_shotgun_reload 0
confogl_addcvar cssladders_allow_switch 0

// [l4d2_tank_props_glow.smx]
confogl_addcvar l4d_tank_props_glow            1
confogl_addcvar l4d2_tank_prop_glow_color      "255 255 255"
confogl_addcvar l4d2_tank_prop_glow_range      4500
confogl_addcvar l4d2_tank_prop_glow_range_min  256
confogl_addcvar l4d2_tank_prop_glow_only       0
confogl_addcvar l4d2_tank_prop_glow_spectators 1
confogl_addcvar l4d2_tank_prop_dissapear_time  10.0

// [l4d2_tankrage]
confogl_addcvar l4d2_tankrage_flowpercent 7
confogl_addcvar l4d2_tankrage_freezetime 4.0

// [l4d2_sound_manipulation.smx]
confogl_addcvar sound_flags 7

// [fix_engine.smx]
confogl_addcvar engine_fix_flags 28

// [l4d_tank_rush]
confogl_addcvar l4d_no_tank_rush 1
confogl_addcvar l4d_no_tank_rush_unfreeze_saferoom 1
confogl_addcvar l4d_no_tank_rush_unfreeze_ai 1

// [panel_text.smx]
sm_addreadystring " "
sm_lockstrings

// [checkpoint-rage-control.smx]
confogl_addcvar crc_global 1

// [si_fire_immunity.smx]
confogl_addcvar infected_fire_immunity 3

// [l4d2_nosecondchances.smx]
confogl_addcvar bot_kick_delay 0

// [l4d2_saferoom_item_remove.smx]
confogl_addcvar sm_safeitemkill_saferooms 3
confogl_addcvar sm_safeitemkill_items 13

// [bossspawningfix.smx]
confogl_addcvar l4d_obey_boss_spawn_cvars 1
confogl_addcvar l4d_obey_boss_spawn_except_static 1

// [l4d_bash_kills.smx]
confogl_addcvar l4d_no_bash_kills 1

// [l4d_equalise_alarm_cars.smx]
confogl_addcvar l4d_equalise_alarm_start_disabled 1

// [l4d2_slowdown_control.smx]
confogl_addcvar z_tank_speed_vs 205
confogl_addcvar z_tank_damage_slow_min_range 0
confogl_addcvar z_tank_damage_slow_max_range 0
confogl_addcvar l4d2_slowdown_gunfire_si 0
confogl_addcvar l4d2_slowdown_gunfire_tank 0
confogl_addcvar l4d2_slowdown_water_tank 0
confogl_addcvar l4d2_slowdown_water_survivors -1
confogl_addcvar l4d2_slowdown_water_survivors_during_tank 220
confogl_addcvar l4d2_slowdown_crouch_speed_mod 1.2

// [l4d_tank_damage_announce.smx]
confogl_addcvar l4d_tankdamage_enabled 1

// [l4d_tank_painfade.smx]
confogl_addcvar l4d_tank_painfade 1
confogl_addcvar l4d_tank_painfade_duration 300
confogl_addcvar l4d_tank_painfade_flags 8

// [l4d2_tank_attack_control.smx]
confogl_addcvar l4d2_block_punch_rock 1
confogl_addcvar l4d2_block_jump_rock 1
confogl_addcvar tank_overhand_only 0

// [l4d2_tank_damage_cvars.smx]
confogl_addcvar vs_tank_pound_damage 36
confogl_addcvar vs_tank_rock_damage 24

// [l4d2_pickup.smx]
confogl_addcvar pickup_switch_flags 2
confogl_addcvar pickup_incap_flags 2

// [l4d2_godframes_control.smx]
confogl_addcvar gfc_hittable_override 1
confogl_addcvar gfc_hittable_rage_override 1
confogl_addcvar gfc_rock_override 0
confogl_addcvar gfc_rock_rage_override 1
confogl_addcvar gfc_common_extra_time 0.6
confogl_addcvar gfc_hunter_duration 1.8
confogl_addcvar gfc_smoker_duration 0
confogl_addcvar gfc_common_zc_flags 9
confogl_addcvar gfc_godframe_glows 1
confogl_addcvar gfc_ff_min_time 0.8

// [l4dhots.smx]
confogl_addcvar l4d_pills_hot 1
confogl_addcvar l4d_pills_hot_interval 0.1
confogl_addcvar l4d_pills_hot_increment 2
confogl_addcvar l4d_pills_hot_total 50

// [l4d2_m2_control.smx]
confogl_addcvar z_max_hunter_pounce_stagger_duration 1
confogl_addcvar l4d2_m2_hunter_penalty 1
confogl_addcvar l4d2_m2_smoker_penalty 1

// [l4d2_hittable_control.smx]
confogl_addcvar hc_gauntlet_finale_multiplier 0.25
confogl_addcvar hc_broken_forklift_standing_damage 100.0
confogl_addcvar hc_sflog_standing_damage 100.0
confogl_addcvar hc_bhlog_standing_damage 100.0
confogl_addcvar hc_handtruck_standing_damage 8.0
confogl_addcvar hc_car_standing_damage 100.0
confogl_addcvar hc_bumpercar_standing_damage 100.0
confogl_addcvar hc_forklift_standing_damage 100.0
confogl_addcvar hc_dumpster_standing_damage 100.0
confogl_addcvar hc_haybale_standing_damage 100.0
confogl_addcvar hc_baggage_standing_damage 100.0
confogl_addcvar hc_generator_trailer_standing_damage 100.0
confogl_addcvar hc_militia_rock_standing_damage 100.0
confogl_addcvar hc_sofa_chair_standing_damage 100.0
confogl_addcvar hc_atlas_ball_standing_damage 100.0
confogl_addcvar hc_ibeam_standing_damage 48.0
confogl_addcvar hc_diescraper_ball_standing_damage 100.0
confogl_addcvar hc_van_standing_damage 100.0
confogl_addcvar hc_incap_standard_damage -2
confogl_addcvar hc_disable_self_damage 1
confogl_addcvar hc_overhit_time 1.4
confogl_addcvar hc_unbreakable_forklifts 1

// [l4d2_si_staggers.smx]
confogl_addcvar l4d2_disable_si_friendly_staggers 2

// [l4d2_si_ffblock.smx]
confogl_addcvar l4d2_block_infected_ff 1
confogl_addcvar l4d2_infected_ff_allow_tank 1

// [l4d2_survivor_ff.smx]
confogl_addcvar l4d2_undoff_enable			7
confogl_addcvar l4d2_undoff_blockzerodmg	7
confogl_addcvar l4d2_undoff_permdmgfrac		1.0

// [l4d2_weaponrules.smx]
l4d2_addweaponrule smg_mp5                smg
l4d2_addweaponrule rifle                  smg
l4d2_addweaponrule rifle_desert           smg
l4d2_addweaponrule rifle_ak47             smg
l4d2_addweaponrule rifle_sg552            smg
l4d2_addweaponrule smg_silenced           smg
l4d2_addweaponrule autoshotgun            pumpshotgun
l4d2_addweaponrule shotgun_spas           pumpshotgun
l4d2_addweaponrule shotgun_chrome         pumpshotgun
l4d2_addweaponrule sniper_military        hunting_rifle
l4d2_addweaponrule sniper_scout           hunting_rifle
l4d2_addweaponrule sniper_awp             hunting_rifle
l4d2_addweaponrule grenade_launcher       pistol
l4d2_addweaponrule rifle_m60              pistol
l4d2_addweaponrule pistol_magnum          pistol
l4d2_addweaponrule melee                  pistol

// [l4d2_collision_adjustments.smx]
confogl_addcvar collision_tankrock_common 1
confogl_addcvar collision_smoker_common 1
confogl_addcvar collision_tankrock_incap 1

// [l4d2_shotgun_ff.smx]
confogl_addcvar l4d2_shotgun_ff_multi 0.5
confogl_addcvar l4d2_shotgun_ff_min 1.0
confogl_addcvar l4d2_shotgun_ff_max 8.0

// [l4d2_uncommon_blocker.smx]
confogl_addcvar sm_uncinfblock_enabled 1
confogl_addcvar sm_uncinfblock_flags 55

// [lerpmonitor.smx]
confogl_addcvar sm_allowed_lerp_changes 3
confogl_addcvar sm_lerp_change_spec 1
confogl_addcvar sm_readyup_lerp_changes 1
confogl_addcvar sm_min_lerp 0.000
confogl_addcvar sm_max_lerp 0.067

// [starting_items.smx]
confogl_addcvar starting_item_flags 4

// [l4d2_hybrid_scoremod.smx]
confogl_addcvar sm2_bonus_per_survivor_multiplier 0.5
confogl_addcvar sm2_permament_health_proportion 0.65
confogl_addcvar sm2_pills_hp_factor 4.0
confogl_addcvar sm2_pills_max_bonus 60

// [l4d2_tank_horde_monitor.smx]
confogl_addcvar l4d2_tank_bypass_extra_flow 1500

/////////////////////////////
// [Static shotgun spread] //
/////////////////////////////

// First ring settings
confogl_addcvar sgspread_ring1_bullets 8
confogl_addcvar sgspread_ring1_factor  2    // Does not affect the actual first ring, just the distance between ring 1 and 2 (Only affects pump)
confogl_addcvar sgspread_center_pellet 0

/////////////////////////////
//  [SMG Tweaks 'n Stuff]  //
/////////////////////////////
sm_weapon smg spreadpershot 0.22
sm_weapon smg damage 22
sm_weapon smg maxmovespread 2
sm_weapon smg reloadduration 1.8

/////////////////////////////////
//  [Shotgun Tweaks 'n Stuff]  //
/////////////////////////////////
sm_weapon pumpshotgun damage 17
sm_weapon pumpshotgun bullets 16
sm_weapon pumpshotgun scatterpitch 3
sm_weapon pumpshotgun scatteryaw 5
 
///////////////////
// [Boss tweaks] //
///////////////////

// Static Tank maps / flow Tank disabled
static_tank_map c1m4_atrium
static_tank_map c4m5_milltown_escape
static_tank_map c5m5_bridge
static_tank_map c6m3_port
static_tank_map c7m1_docks
static_tank_map c7m3_port
static_tank_map c13m4_cutthroatcreek
static_tank_map l4d2_darkblood04_extraction
static_tank_map x1m5_salvation
static_tank_map uf4_airfield
static_tank_map dprm5_milltown_escape
static_tank_map l4d2_diescraper4_top_361
static_tank_map dkr_m1_motel
static_tank_map dkr_m2_carnival
static_tank_map dkr_m3_tunneloflove
static_tank_map dkr_m4_ferris
static_tank_map dkr_m5_stadium
static_tank_map cdta_05finalroad
static_tank_map l4d_dbd2dc_new_dawn

// Finales with flow + second event Tanks
tank_map_flow_and_second_event c2m5_concert
tank_map_flow_and_second_event c3m4_plantation
tank_map_flow_and_second_event c8m5_rooftop
tank_map_flow_and_second_event c9m2_lots
tank_map_flow_and_second_event c10m5_houseboat
tank_map_flow_and_second_event c11m5_runway
tank_map_flow_and_second_event c12m5_cornfield
tank_map_flow_and_second_event c14m2_lighthouse
tank_map_flow_and_second_event nmrm5_rooftop

// Finales with a single first event Tank
tank_map_only_first_event c1m4_atrium
tank_map_only_first_event c4m5_milltown_escape
tank_map_only_first_event c5m5_bridge
tank_map_only_first_event c13m4_cutthroatcreek
tank_map_only_first_event cdta_05finalroad
tank_map_only_first_event l4d_dbd2dc_new_dawn

// Static witch maps / flow witch disabled
static_witch_map c4m5_milltown_escape
static_witch_map c5m5_bridge
static_witch_map c6m1_riverbank
static_witch_map hf01_theforest
static_witch_map hf04_escape
static_witch_map cdta_05finalroad
static_witch_map l4d2_stadium5_stadium
static_witch_map x1m5_salvation
static_witch_map dkr_m1_motel
static_witch_map dkr_m2_carnival
static_witch_map dkr_m3_tunneloflove
static_witch_map dkr_m4_ferris
static_witch_map dkr_m5_stadium

// Map transition rules
sm_add_map_transition c6m2_bedlam c7m1_docks
sm_add_map_transition c9m2_lots c14m1_junkyard

// Personalized settings
exec confogl_personalize.cfg

// Confogl Additional
confogl_setcvars
confogl_resetclientcvars

// Client Cvar Tracking
exec cvar_tracking.cfg

sm_killlobbyres												// Removes the lobby reservation cookie
